Bug 204223 - DVD Rom is running without DMA and draining a lot of CPU cycles
DVD Rom is running without DMA and draining a lot of CPU cycles
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-27 04:12 EDT by mail@romal.de
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 19:16:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mail@romal.de 2006-08-27 04:12:42 EDT
Description of problem:
Hi,

while testing a dvd with mplayer, I noticed, that mplayer is dropping
frames and the cpu-scaling is glued to the maximum of 1.73GHz.

I think the problem is the disabled dma for the dvd-drive:

[root@helios ~]# hdparm -d /dev/hdc
/dev/hdc:
 using_dma    =  0 (off)

But I can't enable it:

[root@helios ~]# hdparm -d 1 /dev/hdc
/dev/hdc:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)

After some playing with hdparm

hdparm -c3 -u1 -a64 -k1 /dev/hdc

seems to improve the situation a lot. The cpu comes down to 800 Mhz and
no frame are dropped.

But the canoncial solution would be to enable DMA. Has anyone an idea
where the problem lies ?

The hardware:

[root@helios etc]# dmesg | grep hd
hdc: UJDA750 DVD/CDRW, ATAPI CD/DVD-ROM drive
hdc: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Cache
hdc: CHECK for good STATUS
hdc: CHECK for good STATUS

[root@helios etc]# lspci | grep Intel
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA
Controller (rev 03)

cu romal


-- fedora-test-list mailing list fedora-test-list@redhat.com To unsubscribe:
https://www.redhat.com/mailman/listinfo/fedora-test-list 


Alan Cox replied:

On Fri, Aug 25, 2006 at 04:39:28PM +0200, R.M.Albrecht wrote:
> > But the canoncial solution would be to enable DMA ? Has anyone an idea
> > where the problem lies ?

You need a new enough kernel to handle the ICH6M SATA and PATA together nicely
and the devices not to be in compatibility mode.

Alternatively build 2.6.18-rc4-mm2 and select the Intel PIIX/ICH driver from
that without the "old IDE" PIIX driver and it should grab all the devices and
put them under /dev/sda /dev/sr0 etc using libata.

Alan

Version-Release number of selected component (if applicable):

Rawhide 2006-08-26

How reproducible:

Every time.
Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Lawrence 2006-09-05 11:16:39 EDT
Reassigning to correct owner, kernel-maint.
Comment 2 Casey Dahlin 2006-10-23 01:04:35 EDT
A quick fix procedure for this bug for current fedora users is available at this
link:

http://forums.fedoraforum.org/forum/showthread.php?postid=556704

Can kudzu be altered to make these adjustments (probably not in terms of grub)
or is there a pure kernelspace solution? The procedure above appears to work
with no ill effects.
Comment 3 mail@romal.de 2006-10-27 13:00:56 EDT
Hi,

I updates to todays rawhide, so fc6test2 is no more accurate.

I followed the instructions and it got worse.

The DVD runs in DMA, but is highly unrealiable. Read Errors, hangups, ...

So I disabled the libata stuff again.

cu romal
Comment 4 Tord Kolsrud 2007-01-19 08:52:44 EST
We had similar problems with our range of Dell Precision laptops. It is a
problem for getting linux accepted as a desktop among our employees.

The proposed solution from Fedora forum, that Casey Dahlin pointed out, (adding
combined_mode=libata to grub) did work for my Dell Precision M65, and seems
after two weeks use to be stable. I hope his suggestion about using this
workaround can be applied in future updatas to Fedora.

In case it might assist in improving Kudzu, here is the technical information
about my tested system.

[root@itse6843 ~]# lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS/940GML and 945GT
Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3
(rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4
(rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA
Storage Controller IDE (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation Unknown device 01dc (rev a1)
03:01.0 CardBus bridge: O2 Micro, Inc. Cardbus bridge (rev 21)
03:01.4 FireWire (IEEE 1394): O2 Micro, Inc. Firewire (IEEE 1394) (rev 02)
09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5752 Gigabit
Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)

[root@itse6843 ~]#  uname -a
Linux itse6843 2.6.18-1.2869.fc6 #1 SMP Wed Dec 20 14:51:19 EST 2006 i686 i686
i386 GNU/Linux

From lshw:
           *-cdrom UNCLAIMED
                description: SCSI CD-ROM
                product: DVD+-RW TS-L632D
                vendor: TSSTcorp
                physical id: 1
                bus info: scsi@1:0.0.0
                version: DE03
                capabilities: removable
                configuration: ansiversion=5

Comment 5 Paul Lipps 2007-03-25 18:43:04 EDT
My system uses an ICH5/ICH5R controller and was experiencing the same issue as
reported. I have two SATA hard disks, and one PATA DVD-R drive.

In my BIOS configuration, I changed my IDE configuration from Auto (which was
defaulting to Combined mode) to Enhanced mode. Now all my DVD-R drive is running
in DMA mode properly.

I thought I would pass this along in case it might help someone else
experiencing this issue.
Comment 6 Julian Sikorski 2007-04-14 12:00:43 EDT
I am also hitting the problem here. Matsushita UJ-841S drive, Toshiba Satellite
A100-847 laptop. Running Fedora Core 6 now.
Comment 7 Jon Stanley 2007-12-30 21:22:04 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 8 Jon Stanley 2008-01-07 19:16:56 EST
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.